Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.util
Class LogFile

    java.lang.Object
      com.sun.javatest.util.LogFile

    public class LogFile

extends java.lang.Object

An object providing support for writing log messages to a file.

Constructor Summary
`LogFile()` Create a log file object to which log messages can be written.
`LogFile(java.io.File file)` Create a log file object to which log messages can be written.
`LogFile(java.io.Writer out)` Create a log file object to which log messages can be written.

Method Summary
`void` | `log(I18NResourceBundle i18n, java.lang.String key)` Print a text message to the logfile.
`void` | `log(I18NResourceBundle i18n, java.lang.String key, java.lang.Object arg)` Print a text message to the workdir logfile.
`void` | `log(I18NResourceBundle i18n, java.lang.String key, java.lang.Object[] args)` Print a text message to the workdir logfile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFile

    public LogFile()

  Create a log file object to which log messages can be written. The messages will be written to System.err.

### LogFile

    public LogFile(java.io.Writer out)

  Create a log file object to which log messages can be written.

  Parameters:
    `out` - the stream to which to write the messages.

### LogFile

    public LogFile(java.io.File file)

  Create a log file object to which log messages can be written.

  Parameters:
    `file` - the file to which to write the messages.

Method Detail

### log

    public void log(I18NResourceBundle i18n,
                    java.lang.String key)

  Print a text message to the logfile. A single line of text which is as short as possible is highly recommended for readability purposes.

  Parameters:
    `i18n` - a resource bundle containing the localized messages
    `key` - a key into the resource bundle for the required message

### log

    public void log(I18NResourceBundle i18n,
                    java.lang.String key,
                    java.lang.Object arg)

  Print a text message to the workdir logfile. A single line of text which is as short as possible is highly recommended for readability purposes.

  Parameters:
    `i18n` - a resource bundle containing the localized messages
    `key` - a key into the resource bundle for the required message
    `arg` - An argument to be formatted into the specified message. If this is a `Throwable`, its stack trace will be included in the log.

### log

    public void log(I18NResourceBundle i18n,
                    java.lang.String key,
                    java.lang.Object[] args)

  Print a text message to the workdir logfile. A single line of text which is as short as possible is highly recommended for readability purposes.

  Parameters:
    `i18n` - a resource bundle containing the localized messages
    `key` - a key into the resource bundle for the required message
    `args` - An array of arguments to be formatted into the specified message. If the first arg is a `Throwable`, its stack trace will be included in the log.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.